<div class="modal fade upload-Document-model" id="documentModal" role="dialog">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <h3> Add New Documents </h3>
                <button type="button" class="close" data-dismiss="modal">&times;</button>
            </div>
            <div class="modal-body">
                <!--wrapper-wrap start -->
                <div class="wrapper-wrap review-submitted-doc">
                    <div class="row">
                        <div class="col-sm-3">
                            <label>Document Name:</label>
                        </div>
                        <div class="col-sm-7 col-xs-offset-right-3">
                            <input class="form-control form-input-new" placeholder="Enter Document Name" data-ng-model="tempDocument.name"></input>
                        </div>
                    </div>
                    <hr class="dotted-line"></hr>
                    <div class="row">
                        <div class="col-sm-3">
                            <label>Document Type:</label>
                        </div>
                        <div class="col-sm-7 col-xs-offset-right-3">
                            <select class="form-control form-select-new" data-ng-model="tempDocument.type">
                                <option value="Link">Link</option>
                                <option value="File">File</option>
                            </select>
                        </div>
                    </div>
                    <hr class="dotted-line"></hr>
                    <div class="row">
                        <div class="col-sm-3">
                            <label>File:</label>
                        </div>
                        <div class="col-sm-7 col-xs-offset-right-3">
                            <input type="text" class="form-control form-input-new" data-ng-if="tempDocument.type == 'Link'" placeholder="Enter URL here" data-ng-model="tempDocument.file"></input>
                            <input type="file" ng-model="tempDocument.file" file-model as-file id="modalDocument" style="display:none;" data-ng-if="tempDocument.type == 'File'" class="uploadElement"></input>
                            <input class="form-control form-input" type="text" ng-model="tempDocument.file[0].name" data-ng-click="openFileInput('modalDocument')" data-ng-if="tempDocument.type == 'File'" readonly="readonly"></input>
                        </div>
                    </div>
                    <hr class="dotted-line"></hr>
                    <div class="row">
                        <div class="col-sm-3">
                            <label>Comments:</label>
                        </div>
                        <div class="col-sm-7 col-xs-offset-right-3">
                            <textarea data-ng-model="tempDocument.comment" class="form-control form-input-new"></textarea>
                        </div>
                    </div>
                </div>
                <!--wrapper-wrap end -->
                <div class="clear"></div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                <button type="button" class="btn btn-default" data-dismiss="modal" data-ng-click="onDocumentUploadSave()">Save</button>
            </div>
        </div>
    </div>
</div>